Package org.kapott.hbci.sepa.jaxb.pain_001_003_03

# Class PartySEPAChoice

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_003_03.PartySEPAChoice

public class PartySEPAChoice extends Object

Java class for PartySEPAChoice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PartySEPAChoice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="OrgId" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.003.03}OrganisationIdentificationSEPAChoice"/>
               <element name="PrvtId" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.003.03}PersonIdentificationSEPA1Choice"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected OrganisationIdentificationSEPAChoice`
`orgId`
`protected PersonIdentificationSEPA1Choice`
`prvtId`

## Constructor Summary

Constructors
Constructor
Description
`PartySEPAChoice()`

## Method Summary

Modifier and Type
Method
Description
`OrganisationIdentificationSEPAChoice`
`getOrgId()`
Gets the value of the orgId property.
`PersonIdentificationSEPA1Choice`
`getPrvtId()`
Gets the value of the prvtId property.
`void`
`setOrgId(OrganisationIdentificationSEPAChoice value)`
Sets the value of the orgId property.
`void`
`setPrvtId(PersonIdentificationSEPA1Choice value)`
Sets the value of the prvtId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### orgId

protected OrganisationIdentificationSEPAChoice orgId

### prvtId

protected PersonIdentificationSEPA1Choice prvtId

## Constructor Details

### PartySEPAChoice

public PartySEPAChoice()

## Method Details

### getOrgId

public OrganisationIdentificationSEPAChoice getOrgId()
Gets the value of the orgId property.

Returns:
  possible object is `OrganisationIdentificationSEPAChoice`

### setOrgId

public void setOrgId(OrganisationIdentificationSEPAChoice value)
Sets the value of the orgId property.

Parameters:
  `value` - allowed object is `OrganisationIdentificationSEPAChoice`

### getPrvtId

public PersonIdentificationSEPA1Choice getPrvtId()
Gets the value of the prvtId property.

Returns:
  possible object is `PersonIdentificationSEPA1Choice`

### setPrvtId

public void setPrvtId(PersonIdentificationSEPA1Choice value)
Sets the value of the prvtId property.

Parameters:
  `value` - allowed object is `PersonIdentificationSEPA1Choice`